<?php
if (!defined('ABSPATH')) {
    exit;
}

if (isset($_POST['save_affiliate_id'])) {
    if (isset($_POST['affiliate_id_nonce']) && wp_verify_nonce($_POST['affiliate_id_nonce'], 'save_affiliate_id')) {
        $affiliate_id = sanitize_text_field($_POST['affiliate_id']);
        update_option('affiliate_id', $affiliate_id);
        echo '<div class="updated"><p>Affiliate ID saved successfully!</p></div>';
    }
}
?>
<h1>Options</h1>
<form method="post" action="">
    <label for="affiliate_id">Affiliate ID:</label><br>
    <input type="text" id="affiliate_id" name="affiliate_id" value="<?php echo esc_attr(get_option('affiliate_id')); ?>"><br><br>
    <input type="submit" name="save_affiliate_id" class="button-primary" value="Save">
    <?php wp_nonce_field('save_affiliate_id', 'affiliate_id_nonce'); ?>
</form>